Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class WbProperty

- org.gradle.plugins.ide.eclipse.model.WbProperty

- All Implemented Interfaces and Traits:
    WbModuleEntry

      public class WbProperty
      extends groovy.lang.GroovyObjectSupport

  A wtp descriptor property entry.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WbProperty (groovy.util.Node node)`
    `WbProperty (Object node)`
    `WbProperty (String name, String value)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getName()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WbProperty(groovy.util.Node node)

    - #### @Deprecated public WbProperty(Object node)

    - #### public WbProperty(String name, String value)

  - ### Method Detail

    - #### @Override public void appendNode(groovy.util.Node node)

    - #### @Override public boolean equals(Object o)

    - #### public String getName()

    - #### public String getValue()

    - #### @Override public int hashCode()

    - #### public void setName(String name)

    - #### public void setValue(String value)

    - #### @Override public String toString()